## Contributing

[fork]: https://github.com/education/classroom/fork
[pr]: https://github.com/education/classroom/compare
[style]: https://github.com/bbatsov/ruby-style-guide

Hi there! We're thrilled that you'd like to contribute to this project. Your help is essential for keeping it great.

Contributions to this project are [released](https://help.github.com/articles/github-terms-of-service/#6-contributions-under-repository-license) to the public under the [project's open source license](LICENSE).

## Opening an issue

Thank you for taking the time to open an issue, your feedback helps make GitHub Classroom better.
Before opening an issue, please be sure that your issue hasn't already been asked by using [GitHub search](https://help.github.com/articles/searching-issues/)

Here are a few things, that will help us help you when opening an issue.

- A descriptive title that gives an idea of what your issue refers to
- A thorough description of the issue, (one word descriptions are very hard to understand)
- Screenshots (if appropriate)
- Links (if appropriate)

## Submitting a pull request

0. [Fork][fork] and clone the repository
0. Configure and install the dependencies: (See the [README](https://github.com/education/classroom/blob/master/README.md#hacking-on-classroom-for-github) for more details)
0. Make sure the tests pass on your machine: `script/test`
0. Make sure the linters pass on your machine: `script/linter`
0. Create a new branch: `git checkout -b my-branch-name`
0. Make your change, add tests, and make sure the tests still pass
0. Accept the [Contributor License Agreement](https://cla.github.com/education/accept)
0. Push to your fork and [submit a pull request][pr]
0. Pat your self on the back and wait for your pull request to be reviewed and merged.

Here are a few things you can do that will increase the likelihood of your pull request being accepted:

- Follow the [style guide][style].
- Write tests.
- Keep your change as focused as possible. If there are multiple changes you would like to make that are not dependent upon each other, consider submitting them as separate pull requests.
- Write a [good commit message](http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html).

## Resources

- [Contributing to Open Source on GitHub](https://guides.github.com/activities/contributing-to-open-source/)
- [Using Pull Requests](https://help.github.com/articles/using-pull-requests/)
- [GitHub Help](https://help.github.com)
