
## Creating an individual assignment
Now that your classroom is setup, you’re ready to create individual assignments to share with your class.

### Create and name your assignment
Create an individual assignment from the assignments tab and name it accordingly.

![The options to name your repository and repository prefix](/images/help/individual-assignment/name_assignment.png)

**Note:** Assignment repositories downloaded by students are named by **repository prefix +** GitHub username (i.e ‘assignment-1-d12’, ‘assignment-1-meyayre’, etc).

### Choose a repository type
Creating an assignment creates a new repository for each student to work out of.

Choose whether the assignment repository your students are working from should be public or private. If you would like unlimited free repositories, consider signing up for [Educator benefits](https://education.github.com/discount_requests/new).

![The options to make your repository public or private.](/images/help/individual-assignment/repo_permission.png)

### (Optional) Import starter code
You can import starter code from an existing repository to populate the assignment repository.

Search for the name of the starter code repository and select. Makes sure this repository is from the **correct user account**.

![Searches for repository, then selects the option of Importing starter code with template repositories](https://user-images.githubusercontent.com/3170078/62091261-ee69f900-b224-11e9-96ab-b4b34cce0001.gif)

Choose a method to import the starter code. If the starter code repository was templated, choose the template repository option (**Recommended**). If not, choose the source importer option.

Templating your repository significantly speeds up the code import process. [Learn how to convert your repository into a template repository](https://classroom.github.com/help/using-template-repos-for-assignments)


### (Optional) Set a deadline
You can set a deadline for your assignment using the calendar or by typing in the date in MM/DD/YYYY format.


### (Optional) Give students admin permissions on their repository
Enabling this gives students admin permissions on their repository associated with the assignment. This allows students to do tasks like renaming the repository or configuring CI themselves.

### (Optional) Enable assignment invitation URL
When checked, this allows students to accept and access the assignment with an invitation URL. Unchecking it deactivates the invitation URL even after it is sent out. This box is checked by default.

### Share and manage your assignment
You can now use the **invitation URL** to share the assignment with your students. This can be disabled at any time.

You can view your student’s status with the assignment (If they’ve accepted it, have yet to join the class, and if they’ve submitted it) under the **All Students** tab.


![A finished Classroom assignment](/images/help/individual-assignment/finished_assignment.png)

You can access your newly created assignment under the **Assignments** tab and change its settings at any time.

### Further learning

- [Create a group assignment](https://classroom.github.com/help/create-group-assignments)

- [Upgrade your organization](https://classroom.github.com/help/upgrade-your-organization)

- [Connect your classroom to a Learning Management System](https://classroom.github.com/help/connect-to-lms)
