
### Getting started with GitHub Classroom
* Get up and running quickly with our [video tutorials](/videos):
  * Just getting started? [Learn the basics of setting up GitHub Classroom](/videos#ChA_zph7aao)
  * [Create individual assignments](/videos#rTsfBAV7sOo)
  * [Create group assignments](/videos#-52quDR2QSc) for collaborative projects
* [Check our glossary](/help/glossary) to learn more about terms and concepts used in GitHub Classroom    

### Guides  
* [Controlling assignment repository settings with the Probot Settings app](/help/probot-settings)
* [Creating group assignments](/help/create-group-assignments)
* [Creating individual assignments](/help/creating-an-individual-assignment)
* [Upgrading your organization](/help/upgrade-your-organization)
* [Using template repositories for assignments](/help/using-template-repos-for-assignments)
* [Connecting GitHub Classroom to your learning management system](/help/connect-to-lms)
* [Archiving a classroom](/help/archive-a-classroom)

### Workflows, case studies, best practices, and more

#### Getting the most from GitHub Classroom (from the GitHub Blog)

* [GitHub Classroom now supports multiple classrooms per organization](https://github.blog/2019-01-23-github-classroom-now-supports-multiple-classrooms-per-organization/)
* [Merge conflicts in the classroom](https://github.blog/2018-08-22-merge-conflicts-in-the-classroom/)
* [How to use pull requests in the classroom](https://github.blog/2018-05-29-pull-requests-in-the-classroom/)
* [How to use group assignments in GitHub Classroom](https://github.blog/2018-03-06-how-to-use-group-assignments-in-github-classroom/)
* [How to grade programming assignments on GitHub ](https://github.blog/2017-06-13-how-to-grade-programming-assignments-on-github/)
* [GitHub Issues and user testing as authentic assessment ](https://github.blog/2017-04-05-github-issues-and-user-testing-as-authentic-assessment/)
* [Real-time feedback for students using continuous integration tools ](https://github.blog/2017-03-01-real-time-feedback-for-students-using-continuous-integration-tools/)
* [Importing a course roster from your learning management system](/help/import-roster-from-lms)

#### Educators share their experiences (from the GitHub Blog)

* [How GitHub Classroom and Travis CI improved students’ grades](https://github.blog/2019-02-12-how-github-classroom-and-travis-ci-improved-students-grades/)
* [GitHub Classroom report predicts positive student learning outcomes](https://github.blog/2018-08-15-classroom-report-predicts-positive-student-learning-outcomes/)
* [My first semester using GitHub at Rice University ](https://github.blog/2018-02-08-my-first-semester-using-github-at-rice-university/)
* [How investing in teaching with GitHub pays off](https://github.blog/2017-04-27-how-investing-in-teaching-with-github-pays-off/)

### Community

[Join the GitHub Education Community](https://education.github.community/) to discuss GitHub Classroom with GitHubbers and other educators.

### Need more help?

Not finding what you need? Want to talk to a human? [Open an issue on the GitHub Classroom repository.](https://github.com/education/classroom/issues)
{: class="flash"}
