## Configuring GitHub Classroom in another learning management system

Even if your learning management system (LMS) is not listed, there's a good chance it's still compatible with GitHub Classroom. Once you have [the credentials generated by GitHub Classroom](/help/generate-lms-credentials), log in to your institution’s learning management system. These steps will walk you through the high-level overview of configuring GitHub Classroom as an external tool within your learning management system.

### Prerequisites

Before you begin you need:

1. An LTI-compliant (v1.0/1.1) learning management system
1. [Credentials generated by GitHub Classroom](/help/generate-lms-credentials) (keep this page easily accessible during
the configuration process)

### Installation overview

While learning management systems differ, the main idea is the same across all vendors. At a high level, follow this process:

1. Configure an _external tool_.
1. When asked, provide the credentials generated by GitHub Classroom:

   * Consumer key
   * Secret key
   * Launch URL (sometimes called _tool URL_ or similar)

When you have successfully linked GitHub Classroom to your LMS, you should be directed the following screen:  
![generic LMS success](/images/help/lms/generic/success.png)  

### Next steps

[Importing your course roster from your learning management system to GitHub Classroom](/help/import-roster-from-lms)

Not finding what you need? Want to talk to a human? [Open an issue on the GitHub Classroom repository.](https://github.com/education/classroom/issues)
{: class="flash"}
