## Configuring GitHub Classroom in Moodle

These steps will walk you through the process of configuring GitHub Classroom as an external tool within Moodle.

### Prerequisites

1. An up-to-date version of Moodle (version 3.0 or above)
1. [Credentials generated by GitHub Classroom](/help/generate-lms-credentials) (keep this page easily accessible during
the configuration process)

### Step by step installation guide

1. Log into Moodle.  
1. Select the Moodle course to integrate with GitHub Classroom.  
1. Turn editing on.  
1. Wherever you’d like GitHub Classroom to be accessible from, click **Add an activity or resource**.  
  ![Moodle step 4](/images/help/lms/moodle/step-4.png)  
1. From the dialog box that pops up, choose **External tool** and click **Add**.  
  ![Moodle step 5](/images/help/lms/moodle/step-5.png)  
1. In the _Activity name_ field, enter `GitHub Classroom`.  
  ![Moodle step 6](/images/help/lms/moodle/step-6.png)  
1. In the _Preconfigured tool_ field, click the **+** to the right of the dropdown menu. A screen appears which looks like this:
  ![Moodle step 8](/images/help/lms/moodle/step-8.png)  
   **Note**: This page may look very similar to the page you were just on. Make sure this page is titled _External tool configuration_ to ensure you’re on the correct one.  
1. Fill in the following information, where applicable. You may leave everything else untouched.  

    | Option | Set to |
    |-------------------------------------------------------------------------|-------------------------------------------------------------------------------|
    | Tool name | GitHub Classroom - [Your Course Name] <br/><br/> **Note**: you may enter any value for this name. We suggest this value to ensure clarity. |
    | Tool URL | The _Launch URL_  generated by GitHub Classroom |
    | LTI Version | LTI 1.0/1.1 |
    | Default Launch Container | New Window |
    | Consumer Key | The _Consumer key_ generated by GitHub Classroom |
    | Shared Secret | The _Shared secret_ generated by GitHub Classroom |

1. Scroll to and click **Services**.  
  ![Moodle sstep 10](/images/help/lms/moodle/step-10.png)  
1. In the _IMS LTI Names and Role Provisioning_ menu, select **Use this service**.  
  ![Moodle step 11](/images/help/lms/moodle/step-11.png)  
1. Scroll to and click **Privacy**  
  ![Moodle step 11b](/images/help/lms/moodle/step-115.png)  
1. In the _Share launcher's name with tool_ and _Share launcher's email with tool_ menu, select **Always**.  
  ![Moodle step 12](/images/help/lms/moodle/step-12.png)  
1. Scroll down to the bottom of the page and click **Save changes**. You should return to the page that looks like this:  
  ![Moodle step 13](/images/help/lms/moodle/step-13.png)  
1. In the _Preconfigure tool_ menu, select _GitHub Classroom - [Your Classroom Name]_.  
1. In the _Activity_ menu (under _Common module settings_), select **Hide from students**.  
  ![Moodle step 15](/images/help/lms/moodle/step-15.png)  
1. Scroll to the bottom of the page and click **Save and return to course**.  
1. You should now see a _GitHub Classroom_ activity wherever your chose to place it.  
  ![Moodle step 17](/images/help/lms/moodle/step-17.png)  
1. Click the GitHub Classroom activity.  

You should now be directed the following screen. You have successfully linked GitHub Classroom to your Moodle.  
  ![Moodle success](/images/help/lms/moodle/success.png)  

### Next steps

[Importing your course roster from Moodle to GitHub Classroom](/help/import-roster-from-lms)

Not finding what you need? Want to talk to a human? [Open an issue on the GitHub Classroom repository.](https://github.com/education/classroom/issues)
{: class="flash"}
